"""Initial migration

Revision ID: b881216f0b66
Revises:
Create Date: 2024-03-22 13:37:13.593745

"""

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "b881216f0b66"
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "talk_request_model",
        sa.Column("id", sa.String(length=36), nullable=False),
        sa.Column("event_time", sa.DateTime(), nullable=False),
        sa.Column("address", sa.JSON(), nullable=False),
        sa.Column("topic", sa.String(), nullable=False),
        sa.Column("duration_in_minutes", sa.SmallInteger(), nullable=False),
        sa.Column("requester", sa.String(length=120), nullable=False),
        sa.Column("status", sa.String(length=20), nullable=False),
        sa.PrimaryKeyConstraint("id"),
    )
    with op.batch_alter_table("talk_request_model", schema=None) as batch_op:
        batch_op.create_index(
            batch_op.f("ix_talk_request_model_id"), ["id"], unique=False
        )

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("talk_request_model", schema=None) as batch_op:
        batch_op.drop_index(batch_op.f("ix_talk_request_model_id"))

    op.drop_table("talk_request_model")
    # ### end Alembic commands ###
